Bug 200362 - smbclient problem with shared directories.
smbclient problem with shared directories.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-27 02:00 EDT by Jean-pierre Cartal
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.24-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 11:49:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file of an smbclient session with full debug (176.99 KB, text/plain)
2006-07-27 02:00 EDT, Jean-pierre Cartal
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 3967 None None None Never

  None (edit)
Description Jean-pierre Cartal 2006-07-27 02:00:43 EDT
Description of problem:
Smbclient problems after upgrading to samba 3.0.23a. Some directories can not be
listed when connecting to a W2K3 share e.g.:
smbclient -U jean-pierre.cartal '\\srv010-nt12\commun'
Password:
Domain=[RLD] OS=[Windows Server 2003 3790 Service Pack 1] Server=[Windows Server
2003 5.2]
smb: \> ls
client_check_incoming_message: received message with mid 9 with no matching send
record.
SMB Signature verification failed on incoming packet!
Server packet had invalid SMB signature! listing \*
Error in dskattr: Server packet had invalid SMB signature!
smb: \>

Of course components relying on smbclient, like Konqueror, are not working anymore.

Version-Release number of selected component (if applicable):
3.0.23a

How reproducible:
I've attached a log file of a smbclient session with a directory where the
problem is happening. I've no clue yet on how to manually create a directory
showing this behaviour.  

Steps to Reproduce:
1. Upgrade to samba 3.0.23a
2. Connect with smbclient to a W2K3 share
3. Ask for directory listing
  
Actual results:
Error message as explained above

Expected results:
Directory listing

Additional info:
Comment 1 Jean-pierre Cartal 2006-07-27 02:00:43 EDT
Created attachment 133128 [details]
Log file of an smbclient session with full debug
Comment 2 Guenther Deschner 2007-03-14 11:49:00 EDT
Fixed with current update. Thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.